<?php
/**
* @version		1.0.3
* @package		Joomla! (J 3.0 version)
* @copyright	Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
* 
* Upgraded to Joomla 3.0 by Pedro Henrique Mota Emiliano 
*/

// no direct access
defined('_JEXEC') or die;

// Import library dependencies
jimport('joomla.plugin.plugin');
jimport( 'joomla.html.parameter' );

class plgContentplg_jmimetex extends JPlugin {

	public $myarticleid = '00';//substitute article id on frontpage
	
    function plgContentplg_jmimetex ( &$subject, $config )
	{
		parent::__construct( $subject, $config );
	}

	public function onContentPrepare($context, &$article, &$params, $limitstart=0) 
	{
        global $mainframe;

		$document =& JFactory::getDocument();
		
		JHTML::_('behavior.framework');

		$lang =& JFactory::getLanguage();
		$lang->load('plg_content_plg_jmimetex',JPATH_ADMINISTRATOR);

		$plugin=& JPluginHelper::getPlugin('content','plg_jmimetex');
		$plgParams= new JRegistry();
		$plgParams->loadString($module->params);
	 	
		$mimetexServerRef = $plgParams->get('mimetexServerName','http://www.ph.eng.br/cgi-bin/mimetex.cgi?');
				
		$articleText = $article->text;
		$articleText = str_replace('{jmimetex}','{tex}',$articleText); //compatibility with bot_mimetex plugin
		$articleText = str_replace('{/jmimetex}','{/tex}',$articleText); //compatibility with bot_mimetex plugin
		
		$articleText = str_replace('{tex}','<img src="'.$mimetexServerRef,$articleText);
		$articleText = str_replace('{/tex}','"/>',$articleText); 
		
		$article->text  = $articleText ;	
 		
		return true;
	}

}

